<?php
// AutoDirector help pages

// set application defaults
$defaults='INCLUDEFOLDER;IMAGEFOLDER;DATAFOLDER;IMPORTPROFILES;IMPORTDATA;TITLE;';

$inifile='autodirector.ini';
$ini=parse_ini_file($inifile);
foreach ($ini as $key=>$value) {
	define($key, $value);
	$defaults=str_replace($key.';', '', $defaults);
}
unset($ini);

// missing application defaults
if ($defaults!='') {
	print "The following parameters are missing from the $inifile file:\n $defaults";
	exit;
}
unset($defaults);


// ________________________________________________________
// MAIN APPLICATION

// page header
$pagetitle='help';
require(INCLUDEFOLDER.'adpagehead.php');

// dummy start funtion
print '<script type="text/javascript">function start(){}</script>';

// page to show
$page="";
if (isset($_GET['page'])) $page=$_GET['page'];

// vehicle edit screen
if ($page=='faq') {?>
<p>General hints and tips:</p>
<p><b>Do not use your browser icons</b><br />Using buttons such as Back, Next, Stop and Refresh can cause loss of data (this is true with any web-based system). If problems occur, either log out or close down your browser, and log in again.</p>
<p><b>Vehicle search not available?</b><br />If vehicle searching is enabled for your site, a search box will only appear if you have more than six vehicles defined.</p>
<?php
}

// my account screen
if ($page=='myaccount') {?>
<p>The <b>my account</b> screen is accessed from the main menu. It allows any user to change their email address or password.</p>
<h2>Change your email address</h2>
<p>To change your email, enter the new address in the <b>new email address</b> box, your current password in the <b>confirm password</b> box, and click <b>update email</b>.</p>
<h2>Change your password</h2>
<p>To change your password, enter your current password in the <b>current password</b> box, and your new password in both the <b>new password</b> and <b>confirm new password</b> boxes. Finally, click <b>update password</b> to make the change.</p>
<p>If you forget your password, it can be emailed to you by leaving the password box blank on the login screen.</p>
<?php
}

// site list screen
if ($page=='sitelist') {?>
<p>The <b>site administration</b> screen is accessed from the main menu. It shows all the sites under your control.</p>
<p>The key explains the table column headings. Click on the arrows next to a column heading to reorder the table.</p>
<p>If you are a site administrator, an <b>edit</b> link will appear next to the site name. Click it to access the <a href="help.php?page=siteedit">site editing</a> screen.</p>
<h2>admin options</h2>
<p>The following icons may be shown in the <b>admin</b> column depending on your user permissions:</p>
<table width="80%" align="center" border="0" cellpadding="2" cellspacing="6">
<tr><td valign="top"><img src="<?php print IMAGEFOLDER; ?>iconusers.gif" width="32" height="32" title="user administration" /></td><td>add or modify the <a href="help.php?page=userlist">users</a> that can access this site.</td></tr>
<tr><td valign="top"><img src="<?php print IMAGEFOLDER; ?>iconcar.gif" width="32" height="32" title="vehicle administration" /></td><td>add, edit, or delete <a href="help.php?page=vehiclelist">vehicles</a> from your website's showroom.</td></tr>
<tr><td valign="top"><img src="<?php print IMAGEFOLDER; ?>iconimport.gif" width="32" height="32" title="vehicle import wizard" /></td><td>add stock from another source using the <a href="help.php?page=import">vehicle import wizard</a></td></tr>
<tr><td valign="top"><img src="<?php print IMAGEFOLDER; ?>iconlist.gif" width="32" height="32" title="integration options" /></td><td>how to <a href="help.php?page=integration">display your vehicles</a> on your website.</td></tr>
</table><br clear="all" />
<h2>alerts</h2>
<p>The following icons may be shown in the <b>alerts</b> column:</p>
<table width="80%" align="center" border="0" cellpadding="2" cellspacing="6">
<tr><td valign="top"><img src="<?php print IMAGEFOLDER; ?>iconblocksite.gif" width="32" height="32" title="block site administration" /></td><td>site editing has been blocked. If you are a site administrator, you will not be permitted to change the site settings.</td></tr>
<tr><td valign="top"><img src="<?php print IMAGEFOLDER; ?>iconblockuser.gif" width="32" height="32" title="block user administration" /></td><td>user administration has been blocked. If you are a site administrator, you will not be permitted to add or modify users.</td></tr>
<tr><td valign="top"><img src="<?php print IMAGEFOLDER; ?>iconblockvehicle.gif" width="32" height="32" title="block vehicle administration" /></td><td>vehicle administration has been blocked. You will not be able to add, edit or remove vehicles on this site.</td></tr>
<tr><td valign="top"><img src="<?php print IMAGEFOLDER; ?>iconblocklist.gif" width="32" height="32" title="block vehicle list generation" /></td><td>vehicles will not appear on your website.</td></tr>
</table><br clear="all" />
<?php
}

// site edit screen
if ($page=='siteedit') {?>
<p>The <b>site editing</b> screen is accessed by clicking a site's <b>edit</b> link on the <a href="help.php?page=sitelist">site administration</a> screen. This screen shows the site defaults and can be accessed by any site administrator (unless site administration is blocked).</p>
<p>The following options are available:</p>
<ul>
<li><b>unique site id</b>: the site name (this cannot be changed).</li>
<li><b>sales email address</b>: the email address where all vehicle enquiries will be sent (leave blank if you do not require an enquiry form).</li>
<li><b>site currency</b>: the currency used for vehicles (UK pounds, Euro or US Dollar).</li>
<li><b>resized picture dimension</b>: all vehicle images are resized when they are uploaded. This value determines the maximum width/height of the resized image. For example, if the dimension is set to 600 and you upload an image of 800x400, it will be resized to 600x300. A smaller picture dimension will result in faster downloads, but less quality.<br /><br />Note that changing this value will not resize existing images.</li>
<li><b>enforce this dimension</b>: if this box is ticked, images with both the width and height less than the resized picture dimension will be rejected. This will ensure a high picture quality.</li>
<li><b>thumbnail width</b> and <b>thumbnail height</b>: the size of the vehicle thumbnails - the small image the user can click on to view a larger image. A smaller thumbnail dimension will result in faster downloads, but less quality.<br /><br />Note that changing either value will not resize existing thumbnails.</li>
<li><b>display ordering options</b>: when viewing vehicles on your website, the user has the option of ordering them by price, age, or make.</li>
<li><b>display search box</b>: the user is able to search your vehicle list for particular words. Note that searching only works effectively if you have three or more vehicles defined.</li>
<li><b>display advert on list</b>: show an advert below the vehicle list on your website.</li>
</ul>
<?php
}

// user list screen
if ($page=='userlist') {?>
<p>The <b>user administration</b> screen is accessed by clicking a site's user icon on the <a href="help.php?page=sitelist">site administration</a> screen. This screen lists the users that have access to the site and can be accessed by any site administrator (unless user administration is blocked).</p>
<p>The key explains the table column headings. Click on the arrows next to a column heading to reorder the table.</p>
<p>If you are a site administrator, an <b>edit</b> link will appear next to a users name (administrators are also shown, but you will not be able to modify their permissions). Click it to access the <a href="help.php?page=useredit">user editing</a> screen.</p>
<p>If the number of site users has not been exceeded, you will also be able to <a href="help.php?page=useredit">create a new user</a>.</p>
<?php
}

// user edit screen
if ($page=='useredit') {?>
<p>The <b>user editing</b> screen is accessed by clicking a user's edit link or creating a new user from the <a href="help.php?page=userlist">user administration</a> screen. This screen allows you to define the sites that the user can add, edit or remove vehicles.</p>
<p>The following options are available:</p>
<ul>
<li><b>user email address</b>: the email address can only be entered if you are creating a new user.<br /><br />New users are automatically assigned a randomly-generated password and emailed with their login details. They can then change their own email address or password in the <a href="help.php?page=myaccount">my account</a> screen.</li>
<li><b>grant user permission to sites</b>: tick or untick the sites that the user can view and modify. </li>
</ul>
<p><b>NOTE:</b> users cannot be deleted. You can remove access to all the sites you control, but they may have access to other sites. A user will be deleted as soon as they have no access permissions.</p>
<?php
}

// vehicle list screen
if ($page=='vehiclelist') {?>
<p>The <b>vehicle administration</b> screen is accessed by clicking a site's vehicle icon on the <a href="help.php?page=sitelist">site administration</a> screen. This screen lists the vehicles that have been defined for the site (unless vehicle administration is blocked).</p>
<p>The key explains the table column headings. Note that <b>vws</b> and <b>eqs</b> shows how many times a vehicle has been viewed or enquired about. Click on the arrows next to a column heading to reorder the table.</p>
<p>To add a new vehicle, click the <b>add a new vehicle</b> button to access the <a href="help.php?page=vehicleedit">vehicle editing</a> screen (the button is displayed if you have not exceeded the maximum number of vehicle entries - see the <a href="help.php?page=sitelist">site administration</a> screen for details).</p>
<p>To change a vehicle, click the appropriate <b>edit</b> link to access the <a href="help.php?page=vehicleedit">vehicle editing</a> screen.</p>
<p>To delete one or more vehicles, tick the appropriate boxes (next to the edit link) and click <b>delete selected</b>.</p>
<?php
}

// vehicle edit screen
if ($page=='vehicleedit') {?>
<p>The <b>vehicle editing</b> screen is accessed by clicking a vehicle's edit link or adding a new vehicle from the <a href="help.php?page=vehiclelist">vehicle administration</a> screen. This screen allows you to define a vehicle and upload pictures.</p>
<p>The following options are available:</p>
<ul>
<li><b>display this vehicle</b>: if this box is ticked, the vehicle will be available on your website the instant it is added or modified. Untick the box if you want to enter the vehicle details but do not want it to appear yet.</li>
<li><b>this vehicle is new</b> or <b>used</b>: determines whether the vehicle is new or had previous owners.</li>
<li><b>year</b>, <b>make</b>, <b>model</b> and <b>type</b>: the vehicle details.</li>
<li><b>gearbox</b>: the gearbox type. If you select unknown, the gearbox type will not be displayed on your website.</li>
<li><b>colour</b>: the vehicle colour</li>
<li><b>registration number</b>: this is a name or number that helps you to identify the car in the <a href="help.php?page=vehiclelist">vehicle administration</a> table. You can use any term - it will not be displayed on your website.</li>
<li><b>PRICE</b>: the price of your vehicle in the currency defined for your site (see <a href="help.php?page=siteedit">site editing</a>). Leave the price blank to show the vehicle as 'SOLD', or enter '1' to show 'PLEASE CALL'.</li>
<li><b>mileage</b> and <b>miles/kilometers</b>: the mileage on the vehicle. If kilometers is selected, it will be automatically converted to miles.</li>
<li><b>additional information</b>: a description of the vehicle. You can add titles, bullet points, links, images and other items - refer to <a href="help.php?page=wiki">information formatting</a></li>
<li><b>pictures</b>: to upload a picture, enter its filename in the JPG box (or locate it using <b>Browse...</b>), then click the <b>upload pictures</b> button. The images will be uploaded and thumbnails will be displayed. Images can then viewed, rearranged or deleted as necessary.</li>
</ul>
<p>Once all editing is complete, click <b>save vehicle</b>.</p>
<h2>Uploading vehicle pictures</h2>
<p>The <a href="help.php?page=sitelist">site administration</a> table shows how many pictures are permitted per vehicle.</p>
<p>The pictures you upload must be JPG images - the format used by most digital cameras. If your images are not in JPG format, you must use a graphics program to convert the file (changing the filename will not work).</p>
<p>We recommend you 'crop' images to remove as much of the background as possible. You should also note that many modern cameras use very high resolutions (width and height of the image) that are unsuitable for the web. If your JPGs are greater than 1000 pixels wide or high, we recommend you use the resize or resample option in your graphics program to reduce the dimensions.</p>
<p>Images are automatically optimised to produce a thumbnail and a full-size version. The settings are defined in the <a href="help.php?page=siteedit">site editing</a> screen.</p>
<?php
}

// wiki editing
if ($page=='wiki') {?>
<p>The additional information box on the <a href="help.php?page=vehicleedit">vehicle editing</a> screen allows you to add formatting using 'wiki' notation. The wiki-codes you enter are converted to HTML when someone visits your showroom. The following codes can be used:</p>
<h2>Titles</h2>
<p>Add a title by putting a single dash (-) at the beginning of the line, e.g.</p>
<p>&nbsp;&nbsp;- this is a title</p>
<h2>Bold text</h2>
<p>Text can be made bold by putting underscores (_) around the it, e.g.</p>
<p>&nbsp;&nbsp;This sentence contains _bold text_</p>
<h2>Bullet lists</h2>
<p>Create a bullet list by adding an asterisk (*) to the beginning of every list item, e.g.</p>
<p>&nbsp;&nbsp;* bullet list 1<br />&nbsp;&nbsp;* bullet list 2<br />&nbsp;&nbsp;* bullet list 3</p>
<h2>Number lists</h2>
<p>Create a number list by adding an plus sign (+) to the beginning of every list item, e.g.</p>
<p>&nbsp;&nbsp;+ number list 1<br />&nbsp;&nbsp;+ number list 2<br />&nbsp;&nbsp;+ number list 3</p>
<h2>Horizontal lines</h2>
<p>Add a horizontal line by adding a line containing one or more dashes (-) only, e.g.</p>
<p>&nbsp;&nbsp;---</p>
<h2>Links to other pages</h2>
<p>You can create a link to any page using double brackets, e.g.</p>
<p>&nbsp;&nbsp;Visit ((http://www.autodirector.co.uk))...</p>
<p>Will create:<br />Visit <a href="http://www.autodirector.co.uk/">http://www.autodirector.co.uk/</a>...</p>
<p>You can specify different text for the link by placing it in square brackets before URL, e.g.</p>
<p>&nbsp;&nbsp;Visit [AutoDirector]((http://www.autodirector.co.uk))...</p>
<p>Will create:<br />Visit <a href="http://www.autodirector.co.uk/">AutoDirector</a>...</p>
<h2>Images</h2>
<p>Images can be added using the notation !(<em>image URL</em>), e.g.</p>
<p>&nbsp;&nbsp;!(http://site/image.jpg)</p>
<h2>Further examples</h2>
<p>Most of the codes can be mixed, e.g. bold text in a bullet list:</p>
<p>&nbsp;&nbsp;* this list item contains _bold text_.</p>
<p>a bold link:</p>
<p>&nbsp;&nbsp;Visit _[AutoDirector]((http://www.autodirector.co.uk))_ today.</p>
<p>an image that links to another page on your site:</p>
<p>&nbsp;&nbsp;[!(/images/myimage.gif)]((/index.html))</p>
<?php
}

// vehicle import wizard
if ($page=='import') {?>
<p>The <b>vehicle import wizard</b> can be accessed from the site or vehicle list screens. It allows you to import vehicle descriptions and images from other sources. There are two steps to the process:</p>
<h2>1. Choose a profile</h2>
<p>A <b>profile</b> determines the location of the data and how it will be imported.</p>
<p>Profiles are defined in .ini files located in <?php print IMPORTPROFILES; ?>. Examples are provided, and your system administrator will be able to define profiles that match the data you need to import.</p>
<h2>2. Choose the data source</h2>
<p>You now choose a data source that matches the selected profile. Existing vehicles can be deleted prior to import.</p>
<p>Note that importing adheres to the site policies; importing will stop once the maximum number of vehicles and pictures has been reached.</p>
<?php
}

if ($page=='integration') {?>
<p>The <b>integration options</b> screen is accessed by clicking a site's integration icon on the <a href="help.php?page=sitelist">site administration</a> screen. This screen provides instructions for implementing your vehicle list on your website (unless vehicle generation is blocked).</p>
<?php
}

// general links
print '<p><b>Help links:</b><br />&nbsp;&nbsp;<a href="help.php?page=faq">general FAQ</a><br />&nbsp;&nbsp;<a href="help.php?page=myaccount">my account</a><br />&nbsp;&nbsp;<a href="help.php?page=sitelist">site administration</a><br />&nbsp;&nbsp;<a href="help.php?page=userlist">user administration</a><br />&nbsp;&nbsp;<a href="help.php?page=vehiclelist">vehicle administration</a><br />&nbsp;&nbsp;<a href="help.php?page=wiki">information formatting</a><br />&nbsp;&nbsp;<a href="help.php?page=import">vehicle import wizard</a><br />&nbsp;&nbsp;<a href="help.php?page=integration">integration options</a></p>';

require(INCLUDEFOLDER.'adpagefoot.php');
?>