<?php
// AutoDirector site object
class siteObject
{
	var $db;
	var $siteid;
	var $emailsales;
	var $currency;
	var $cursymbol;
	var $curhtml;
	var $maxusers;
	var $maxentries;
	var $maxpics;
	var $picdimension;
	var $forcedimension;
	var $thumbdimx;
	var $thumbdimy;
	var $searchon;
	var $orderbyon;
	var $adverton;
	var $blockgenerate;
	var $blockvehicleadmin;
	var $blockuseradmin;
	var $blocksiteadmin;
	var $userupdate;
	var $lastupdate;


	// object constructor
	function siteObject() {
		$this->siteid='';
	}


	// set the shared database object
	function selectDB($dbobject='') {
		if ($dbobject!=='') $this->db=$dbobject;
	}


	// get site information from the database
	function fetchSite($site='') {

		$ret=false;

		if ($site!='') {
			if ($this->db->fetch("SELECT siteid,emailsales,currency,maxusers,maxentries,maxpics,picdimension,forcedimension,thumbdimx,thumbdimy,options,alert,userupdate,lastupdate FROM sites WHERE siteid='$site';")) {

				if ($this->db->rowcount==1) {

					$sinfo=$this->db->rowassoc();
					$this->siteid=$sinfo['siteid'];
					$this->emailsales=$sinfo['emailsales'];
					$this->currency=$sinfo['currency'];
					$this->maxusers=$sinfo['maxusers'];
					$this->maxentries=$sinfo['maxentries'];
					$this->maxpics=$sinfo['maxpics'];
					$this->picdimension=$sinfo['picdimension'];
					$this->forcedimension=$sinfo['forcedimension'];
					$this->thumbdimx=$sinfo['thumbdimx'];
					$this->thumbdimy=$sinfo['thumbdimy'];
					$options=$sinfo['options'];
					$alert=$sinfo['alert'];
					$this->userupdate=$sinfo['userupdate'];
					$this->lastupdate=$sinfo['lastupdate'];

					// define currency
					$this->defineCurrency();

					// define options
					$this->searchon=($options & 1)>0;
					$this->orderbyon=($options & 2)>0;
					$this->adverton=($options & 4)>0;

					// define alerts
					$this->blockgenerate=($alert & 1)>0;
					$this->blockvehicleadmin=($alert & 2)>0;
					$this->blockuseradmin=($alert & 4)>0;
					$this->blocksiteadmin=($alert & 8)>0;

					$ret=true;

				}
			}
		}

		return $ret;
	}


	// define currency settings
	function defineCurrency() {
		switch($this->currency) {
			case "USD":
				$this->cursymbol='$';
				$this->curhtml='$';
				break;
			case "EURO":
				$this->cursymbol='';
				$this->curhtml='&euro;';
				break;
			default:
				$this->cursymbol='';
				$this->curhtml='&pound;';
		}
	}


	// find next picture number
	function nextPic() {
		$ret=0;

		if ($this->siteid!='') {
			if ($this->db->fetch("SELECT picturenum FROM sites WHERE siteid='$this->siteid';")) {
				$row=$this->db->rowassoc();
				$ret=intval($row['picturenum']);
				$ret++;
				if (!$this->db->fetch("UPDATE sites SET picturenum=$ret WHERE siteid='$this->siteid';")) $ret=0;
			}
		}

		return $ret;
	}


	// create a new site
	function createSite($siteid='') {
		$ret=false;
		if ($siteid!='') {
			// create vehicle table
			if ($this->db->fetch("CREATE TABLE `$siteid` (`id` smallint(2) unsigned NOT NULL default '0', `display` tinyint(1) unsigned NOT NULL default '1', `new` tinyint(1) unsigned NOT NULL default '0', `year` year(4) default NULL, `make` varchar(30) NOT NULL default '', `model` varchar(30) NOT NULL default '', `type` varchar(30) default NULL, `regnumber` varchar(20) default NULL, `mileage` mediumint(3) unsigned default NULL, `colour` varchar(30) default NULL, `gearbox` enum('unknown','manual','automatic','tiptronic') NOT NULL default 'unknown', `info` text, `price` mediumint(3) unsigned default NULL, `picturelist` varchar(100) default NULL, `views` mediumint(3) unsigned NOT NULL default '0', `enquiries` mediumint(3) unsigned NOT NULL default '0', `userupdate` varchar(100) default NULL, `lastupdate` datetime default NULL, PRIMARY KEY (`id`), FULLTEXT KEY `fulltext` (`make`,`model`,`type`,`colour`,`info`), KEY `make` (`make`), KEY `price` (`price`), KEY `model` (`model`), KEY `year` (`year`)) ENGINE=MyISAM;")) {

				// create site entry
				if ($this->db->fetch("INSERT INTO sites (siteid) VALUES ('$siteid');")) {

					// create data folders
					$ret=@mkdir(DATAFOLDER.$siteid, 0755);
					if ($ret) createFile(DATAFOLDER.$siteid."/index.html", '<html><head><meta http-equiv="refresh" content="0;url=/"></head></html>');
					if ($ret) $ret=($ret && @mkdir(DATAFOLDER.$siteid."/pics", 0755));
					if ($ret) $ret=($ret && @mkdir(DATAFOLDER.$siteid."/thumbs", 0755));
				}
			}
		}

		// rollback
		if (!$ret) {
			$this->siteid=$siteid;
			$nomsg=$this->deleteSite('system');
		}
		return $ret;
	}


	// update the current site
	function updateSite($updater='') {
		$ret=false;
		if ($this->siteid) {

			// options and alerts
			$options=0;
			if ($this->searchon) $options+=1;
			if ($this->orderbyon) $options+=2;
			if ($this->adverton) $options+=4;

			$alert=0;
			if ($this->blockgenerate) $alert+=1;
			if ($this->blockvehicleadmin) $alert+=2;
			if ($this->blockuseradmin) $alert+=4;
			if ($this->blocksiteadmin) $alert+=8;

			// update currency settings
			$this->defineCurrency();

			$sql='UPDATE sites SET';
			$sql.=' emailsales='.SQLescape($this->emailsales);
			$sql.=', currency='.SQLescape($this->currency);
			$sql.=', maxusers='.SQLescape($this->maxusers);
			$sql.=', maxentries='.SQLescape($this->maxentries);
			$sql.=', maxpics='.SQLescape($this->maxpics);
			$sql.=', picdimension='.SQLescape($this->picdimension);
			$sql.=', forcedimension='.SQLescape($this->forcedimension);
			$sql.=', thumbdimx='.SQLescape($this->thumbdimx);
			$sql.=', thumbdimy='.SQLescape($this->thumbdimy);
			$sql.=', options='.SQLescape($options);
			$sql.=', alert='.SQLescape($alert);
			$sql.=', userupdate='.SQLescape($updater);
			$sql.=' WHERE siteid='.SQLescape($this->siteid).";";

			if ($this->db->fetch($sql)) $ret=true;
		}
		return $ret;
	}


	// delete the current site
	function deleteSite($updater='') {
		$ret='';
		if ($this->siteid) {

			// remove site from database
			$this->db->pagesize=0;
			if ($this->db->fetch("DELETE FROM sites WHERE siteid=".SQLescape($this->siteid).";")) {
				if ($ret!='') $ret.='<br />';
				if ($this->db->rowcount>0) {
					$ret.="Site '$this->siteid' has been deleted.";

					// remove data folder
					if (!deleteFolder(DATAFOLDER.$this->siteid)) $ret.=' The data folder could not be deleted.';

					// drop vehicle table
					if (!$this->db->fetch("DROP TABLE $this->siteid;")) $ret.=" The vehicle table '$this->siteid' could not be dropped.";

					// remove user rights
					if ($this->db->fetch("SELECT email FROM users WHERE adminsites LIKE '%[$this->siteid]%' OR usersites LIKE '%[$this->siteid]%';")) {
						if ($this->db->rowcount>0) {

							$thisUser=new userObject;
							$thisUser->selectDB($this->db);
							while ($user=$this->db->row()) {
								if ($thisUser->fetchUser($user[0])) {
									$thisUser->revokeSite($this->siteid);
									if (!$thisUser->updateRights($updater)) $ret.="Could not revoke rights to site '$this->siteid' for user '$user[0]'. ";
								}
								else $ret.="User '$user[0]' could not be loaded from the database. ";
							}
							unset($thisUser);

						}
					}
					else $ret.="Users with access to site '$this->siteid' cannot be modified owing to a database communication error. ";

					// site now unavailable
					$this->siteid='';
				}
				else $ret.="Site '$this->siteid' could NOT be deleted - it may have been deleted previously. ";
			}
			else $ret.="Site '$this->siteid' could not be deleted owing to a database communication error. ";

		}
		return $ret;
	}

}
?>